---
title: Get account Email Sending suppression
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Email Sending](https://developers.cloudflare.com/api/go/resources/email_sending)

[Suppressions](https://developers.cloudflare.com/api/go/resources/email_sending/subresources/suppressions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get account Email Sending suppression

client.EmailSending.Suppressions.Get(ctx, suppressionID, query) (\*[SuppressionGetResponse](<https://developers.cloudflare.com/api/go/resources/email_sending#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/email/sending/suppressions/{suppression\_id}

Gets an Email Sending suppression owned by the account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

suppressionID string

The suppression’s identifier.

formatuuid

[Link to this property](<#(resource)%20email_sending.suppressions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20suppression_id%20%3E%20(schema)>)

<details>

<summary>

query SuppressionGetParams

</summary>

AccountID param.Field\[string]

Cloudflare account ID.

<a href="#(resource)%20email_sending.suppressions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_sending.suppressions%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SuppressionGetResponse struct{…}

</summary>

ID string

Unique identifier for this suppression.

formatuuid

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt Time

When the suppression was created.

formatdate-time

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

Email string

The suppressed email address.

formatemail

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20email">Link to this property</a>

ExpiresAt Time

When the suppression expires. Null for a permanent suppression.

formatdate-time

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20expires_at">Link to this property</a>

ReadOnly bool

Whether clients may mutate this suppression. This is determined by the server and must not be inferred from <code>reason</code>.

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20read_only">Link to this property</a>

Reason string

Why the address is suppressed: <code>manual</code>, <code>complaint</code>, <code>hard_bounce</code>, <code>soft_bounce</code>, or <code>policy</code>.

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20reason">Link to this property</a>

Note stringOptional

Advisory note for this suppression, if any.

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20note">Link to this property</a>

<details>

<summary>

Scope SuppressionGetResponseScopeOptional

Where the suppression applies: <code>account</code> for every sending domain of the account, or <code>sending_domain</code> for one envelope MAIL FROM domain.

</summary>

One of the following:

<details>

<summary>

type SuppressionGetResponseScopeType struct{…}

</summary>

Type SuppressionGetResponseScopeTypeType

Blocks the recipient for every sending domain of the account.

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

type SuppressionGetResponseScopeObject struct{…}

</summary>

Type SuppressionGetResponseScopeObjectType

Blocks the recipient only for mail whose envelope MAIL FROM uses <code>value</code>.

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

Value string

The sending domain: the domain part of the envelope MAIL FROM, lowercase, without a trailing dot.

maxLength1024

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(variant)%201%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)%20%3E%20(property)%20scope">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_sending.suppressions%20%3E%20(model)%20SuppressionGetResponse%20%3E%20(schema)>)

### Get account Email Sending suppression

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/email_sending"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  suppression, err := client.EmailSending.Suppressions.Get(
    context.TODO(),
    "396a5436-d4b0-42a6-b3fc-48e8fa522321",
    email_sending.SuppressionGetParams{
      AccountID: cloudflare.F("12345678"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", suppression.ID)
}
```

200 example

```
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "396a5436-d4b0-42a6-b3fc-48e8fa522321",
    "created_at": "2026-01-02T02:20:00Z",
    "email": "user@example.com",
    "expires_at": "2027-01-01T00:00:00Z",
    "read_only": false,
    "reason": "hard_bounce",
    "note": "Imported from CRM",
    "scope": {
      "type": "sending_domain",
      "value": "mail.example.com"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "396a5436-d4b0-42a6-b3fc-48e8fa522321",
    "created_at": "2026-01-02T02:20:00Z",
    "email": "user@example.com",
    "expires_at": "2027-01-01T00:00:00Z",
    "read_only": false,
    "reason": "hard_bounce",
    "note": "Imported from CRM",
    "scope": {
      "type": "sending_domain",
      "value": "mail.example.com"
    }
  },
  "success": true
}
```